/*************************************************************************
*       This function reads data from the command line 
*
************************************************************************/                      


int rd (na,str,fname,palette,xr,yr,c,pwr,xm,xx,ym,yx,ftype,fracname)
int na;
char *str[];
char *fname,*palette;
int *xr,*yr;
complex *c;
int *pwr;
double *xm,*xx,*ym,*yx;
int *ftype;
char *fracname[];

{ int i,check;
  char *gifext=".gif"; 
  check=0;
  strcpy(fname,"out.gif");     /* Default settings */ 
  strcpy(palette,"vga.map");

  if (na>=3) {
           if(strcmp(str[1],"-m")==0)
                                            { *ftype=0;
                                              *fracname="Mandelbrot\n";
                                              *xm = *ym = -2;
                                              *xx = *yx = 2;
                                              c->r= c->i= 0;   
                                              check++; }

           if(strcmp(str[1],"-j")==0)
                                            { *ftype=1;
                                              *fracname="Julia set of z^2+c\n";
                                              *xm = *ym = -2;
                                              *xx = *yx = 2;
                                              c->r= -1;
                                              c->i= 0;    
                                              check++; }
           if(strcmp(str[1],"-s")==0)
                                            { *ftype=2;  
                                              *fracname="Julia set of c*sinz\n";
                                              *xm = *ym = -4;
                                              *xx = *yx = 4; 
                                              c->r = 1;
                                              c->i = 0.1;   
                                              check++; }          
           if(strcmp(str[1],"-c")==0)
                                            { *ftype=3;
                                              *fracname="Julia set of c*cosz\n";
                                              *xm = *ym = -4;
                                              *xx = *yx = 4; 
                                              c->r = 1;
                                              c->i = 0;   
                                              check++; }
                                               
           if(strcmp(str[1],"-e")==0)        
                                            { *ftype=4;
                                              *fracname="Julia set of c*expz\n";
                                              *xm=0;
                                              *xx=4;
                                              *ym= -2;
                                              *yx= 2;
                                              c->r=1;
                                              c->i=0;  
                                              check++; }          
           if(strcmp(str[1],"-sp")==0)    
                                            { *ftype=5; 
                                              *fracname="Spider\n";
                                              *xm = *ym = -2;
                                              *xx = *yx = 2;  
                                              c->r=0;
                                              c->i=0;
                                              check++; }                                              
           if(strcmp(str[1],"-ph")==0)
                                            { *ftype=6;
                                              *fracname="Phoenix\n";
                                              *xm = *ym = -2;
                                              *xx = *yx = 2; 
                                              c->r= 0;
                                              c->i= 0;
                                              check++; }
                       
           if(strcmp(str[1],"-g")==0)
                                           { *ftype=7;
                                             *fracname="Glass\n";
                                             *xm = *ym = -2;
                                             *xx = *yx = 2; 
                                             c->r= c->i= 0; 
                                             check++; }
           if(strcmp(str[1],"-n1")==0)    
                                           { *ftype=8;
                                             *fracname="Noel1\n";
                                             *xm = *ym = -2;
                                             *xx = *yx = 2;
                                             c->r= c->i=0;
                                             check++; }
           if(strcmp(str[1],"-n2")==0)
                                           { *ftype=9;
                                             *fracname="Noel2\n";
                                             *xm = *ym = -2;
                                             *xx = *yx = 2;
                                             c->r= c->i=0;
                                             check++;}
          if(strcmp(str[1],"-nw")==0)
                                          { *ftype=10;
                                            *fracname="Newton\n";
                                            *xm = *ym = -2;
                                            *xx = *yx = 2;
                                            c->r= 1;
                                            c->i=0;
                                            *pwr=3;
                                            check++;} 
          if(strcmp(str[1],"-t")==0)
                                          { *ftype=11;
                                            *fracname="Tetrate\n";
                                            *xm = *ym = -2;
                                            *xx = *yx = 2;
                                            c->r = 0.0;
                                            c->i = 0.0;
                                            check++;} 
          if(strcmp(str[1],"-b1")==0)
                                          { *ftype=12;
                                            *fracname="Barnsley1\n";
                                            *xm = *ym = -2;
                                            *xx = *yx = 2;
                                            c->r = 0.6;
                                            c->i = 1.1;
                                            check++;}
          if(strcmp(str[1],"-b2")==0)
                                         { *ftype=13;
                                           *fracname="Barnsley2\n";
                                           *xm = *ym = -2;
                                           *xx = *yx = 2;
                                           c->r = 0.6;
                                           c->i = 1.1;
                                           check++;}
          if(strcmp(str[1],"-b3")==0)
                                         { *ftype=14;
                                           *fracname="Barnsley3\n";
                                           *xm = *ym = -2;
                                           *xx = *yx = 2;
                                           c->r = 0.1;
                                           c->i = 0.36;
                                           check++;} 
                                  
         }
  if (check==1) 
        { i=2;
          while(i<na)  
       {   
           if(strcmp(str[i],"-o")==0) 
                                          { strcpy(fname,str[i+1]); 
                                            if(strstr(fname,gifext)==NULL)
                                            strcat(fname,gifext);
                                           }
           if(strcmp(str[i],"-p")==0) 
                                            strcpy(palette,str[i+1]);
           if(strcmp(str[i],"-x")==0)
                                             { *xr=atoi(str[i+1]);
                                              check++;}
           if(strcmp(str[i],"-y")==0)
                                            { *yr=atoi(str[i+1]);
                                               check++;}
           if(strcmp(str[i],"-r")==0)       
                                             c->r=atof(str[i+1]);

                                             
           if(strcmp(str[i],"-i")==0)     
                                             c->i=atof(str[i+1]);
           if(strcmp(str[i],"-deg")==0)
                                             { if((atoi(str[i+1]))>2)
                                                *pwr = atoi(str[i+1]);
                                             } 
           if(strcmp(str[i],"-x1")==0)       
                                              *xm=atof(str[i+1]);
           if(strcmp(str[i],"-x2")==0)
                                              *xx=atof(str[i+1]);
           if(strcmp(str[i],"-y1")==0)  
                                              *ym=atof(str[i+1]);
           if(strcmp(str[i],"-y2")==0)
                                              *yx=atof(str[i+1]);
          
           i++;} 
           }
return(check);
}
